Skitflow
Generated

Backup

Skitflow API reference for Backup endpoints.

POST
/backup.create

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/backup.create" \  -H "Content-Type: application/json" \  -d '{    "schedule": "string",    "prefix": "string",    "destinationId": "string",    "database": "string",    "databaseType": "postgres"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/backup.one

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

backupId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/backup.one?backupId=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/backup.update

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/backup.update" \  -H "Content-Type: application/json" \  -d '{    "schedule": "string",    "prefix": "string",    "backupId": "string",    "destinationId": "string",    "database": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/backup.remove

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/backup.remove" \  -H "Content-Type: application/json" \  -d '{    "backupId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/backup.manualBackupPostgres

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/backup.manualBackupPostgres" \  -H "Content-Type: application/json" \  -d '{    "backupId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/backup.manualBackupMySql

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/backup.manualBackupMySql" \  -H "Content-Type: application/json" \  -d '{    "backupId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/backup.manualBackupMariadb

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/backup.manualBackupMariadb" \  -H "Content-Type: application/json" \  -d '{    "backupId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/backup.manualBackupMongo

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/backup.manualBackupMongo" \  -H "Content-Type: application/json" \  -d '{    "backupId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}